POV-Ray : Newsgroups : povray.macintosh : povray 3.6 on Snow Leopard / X11 : Re: povray 3.6 on Snow Leopard / X11 Server Time
20 Sep 2021 11:26:31 EDT (-0400)
  Re: povray 3.6 on Snow Leopard / X11  
From: cjaramillo
Date: 13 Jul 2012 16:30:01
Message: <web.50008454c3cac333d568c8340@news.povray.org>
"lainal" <dla### [at] yahoocom> wrote:
> "TSGM" <nomail@nomail> wrote:
> > "lainal" <dla### [at] yahoocom> wrote:
> > > Gents,
> > >
> > > For those interested in, I managed to compile povray 3.6 on Mac OS 10.8 since I
> > > didn't found any working version on the Web (PPC distribution is hitting Rosetta
> > > issues). Hereafter the way I went in 7 steps:
> > > 0 - Download the source code for Linux / Generic and unarchive
> > > 1 - hack all 3 "configure.ac" files to add "foreign" in the parameters of the
> > > macro "AM_INIT_AUTOMAKE"  (some GNU distribution mandatory files are missing)
> > > 2 - create the configure script with autoreconf -i
> > > 3 - edit the top "configure" and add at the 1st active line the following:
> > >       ac_cv_prog_egrep=/usr/bin/egrep
> > > 4 - Configure with:
> > >       CFLAGS="-m32" CXXFLAGS="-m32" \
> > >       ./configure COMPILED_BY="<your mail address>" --with-x
> > > 5 - make
> > > 6 - make install (possibly preceded by su)
> > >
> >
> > Dear Dominique,
> >
> > I too am running OSX Lion and I'm trying to install POVRay. Unfortunately, I'm
> > quite clueless about Unix, so I'm hoping you (or someone else) can clarify your
> > instructions. For example, I'm already lost on step 1 (what configure.ac files?)
> >
> > I would most appreciate it if you could guide me through the installation and
> > compilation process, on the assumption that I know little about using make files
> > or unix in general.
> >
> > Thanks!
>
> OK. I was a little too quick I guess. Sorry for that. The distrib to download is
> at this location:
>
http://www.povray.org/redirect/www.povray.org/ftp/pub/povray/Official/Unix/povray-3.6.tar.bz2
>
> I guess it will go in Download. Then you open a terminal, go to this directory.
>
> 1. Unarchive: "tar xjf povray-3.6.tar.bz2" and go to the source directory
> (povray-3.6.1).
>
> 2. There are three "configure.ac" files in the sources tree:
> ......./configure.ac
> ......./libraries/png/configure.ac
> ......./libraries/zlib/configure.ac
> You have to edit them, find the AM_INIT_AUTOMAKE macros. It should look like:
>
> AM_INIT_AUTOMAKE([1.7 ...])
>
> You have to add "foreign". Then it should look like:
>
> AM_INIT_AUTOMAKE([foreign 1.7 ...])
>
> This for all three files.
>
> 3. Then from the top source directory (povray-3.6.1 currently), you type
> "autoreconf -i" and you wait a little bit. After a while, there's a "configure"
> script which has been created. You have to edit it and add the line as
> explained. For me, after adding the line, it looks like:
>
> ...........
> ## --------------------- ##
> ## M4sh Initialization.  ##
> ## --------------------- ##
>
> ac_cv_prog_egrep=/usr/bin/egrep
>
> # Be more Bourne compatible
> ...........
>
> 4. The rest is straightforward. Still from the top source directory, you type:
>
> CFLAGS="-m32" CXXFLAGS="-m32" ./configure COMPILED_BY="email" --with-x
>
> Then you type "make" and you wait for a while.
>
> If no errors occur, then "make install" and that's it.
>
> Happy install !
>
> - Dominique

I got the following error after trying "sudo make install":
make[2]: *** [install-nobase_povlibSCRIPTS] Error 1
make[1]: *** [install-am] Error 2
make: *** [install-recursive] Error 1

Any hints would be appreciated.

Carlos


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.